#!/bin/bash

set -euo pipefail

SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )"

PROJECT="dropshell-build-base"

ARCH=$(uname -m)

# Build multi-platform image and push it
docker build \
  -t "gitea.jde.nz/public/dropshell-build-base:test" \
  -f "${SCRIPT_DIR}/Dockerfile.dropshell-build-base" \
  ${SCRIPT_DIR}
