#!/bin/bash

set -euo pipefail

# check standard variables present.
#[[ -n $SOS_WRITE_TOKEN ]] || die "SOS_WRITE_TOKEN not specified"
#[[ -n $DOCKER_PUSH_TOKEN ]] || die "DOCKER_PUSH_TOKEN not specified"

ARCH=$(uname -m)

echo "Publishing dropshell-build-base:test as :latest-${ARCH}..."

# Pull the multiarch manifest from :test tag
docker buildx imagetools create \
  --tag gitea.jde.nz/public/dropshell-build-base:latest-${ARCH} \
  gitea.jde.nz/public/dropshell-build-base:test

echo "Successfully tagged dropshell-build-base:test as :latest-${ARCH}"


